import router from '@/router'
import { sessionStorage } from '@/plugins/storage'
import useFetch from '@/hooks/useFetch'

/** 清理评卷任务 */
export const clearTasks = () => {
  const loginResult = sessionStorage.get('LOGIN_RESULT')
  if (loginResult?.role === 'MARKER') {
    useFetch('clearCachedTasks')
  }
}

/** 退出登录 */
export const logout = (clear = true) => {
  if (clear) {
    clearTasks()
  }
  sessionStorage.remove('LOGIN_RESULT')
  router.replace({ name: 'Login' })
}

/** 关闭程序 */
export const closeApp = () => {
  window.close()
}
